buildr-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Pepijn Van Eeckhoudt (JIRA)" <j...@apache.org>
Subject [jira] Updated: (BUILDR-396) Cobertura extension does not handle dependencies correctly
Date Thu, 04 Mar 2010 10:08:27 GMT

     [ https://issues.apache.org/jira/browse/BUILDR-396?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Pepijn Van Eeckhoudt updated BUILDR-396:
----------------------------------------

    Attachment: cobertura.patch

> Cobertura extension does not handle dependencies correctly
> ----------------------------------------------------------
>
>                 Key: BUILDR-396
>                 URL: https://issues.apache.org/jira/browse/BUILDR-396
>             Project: Buildr
>          Issue Type: Improvement
>          Components: Extensions
>    Affects Versions: 1.3.5
>            Reporter: Pepijn Van Eeckhoudt
>         Attachments: cobertura.patch
>
>
> The cobertura extension does not handle it's dependencies correctly when trying to use
cobertura 1.9.4. Cobertura switched to ASM 3.0 for their 1.9.1 release while the extension
hardcodes asm 2.2.1.
> The attached patch replaces the dependencies with an artifact namespace and automatically
handles the asm version if not specified by the user.
> As an extra bonus I've also extended CoberturaConfig to handle ignore regexps, which
was a small missing feature.

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message